%define module  virtinst
%define name    python-%{name}
%define version 0.600.1
%define release %mkrel 1

Name:           python-%{module}
Version:        %{version}
Release:        %{release}
Summary:        Python modules for starting libvirt based guest installations
License:        GPLv2+
Group:          Development/Python
Url:            http://virt-manager.et.redhat.com/
Source:         http://virt-manager.et.redhat.com/download/sources/virtinst/%{module}-%{version}.tar.gz
Requires:       python-libvirt
Requires:       python-urlgrabber
Requires:       python-libxml2
BuildRequires:  python-devel
BuildArch:      noarch

%description
virtinst is a module to help in starting installations of various linux 
distributions inside of virtual machines. It supports both paravirt guests 
as well as fully virtualized guests. It uses libvirt (http://www.libvirt.org)
for starting things.

Also contained is a simple script virt-install which uses
virtinst in a command line mode.
%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}


%find_lang virtinst

%files -f virtinst.lang
%doc README
%{python_sitelib}/virtinst
%{python_sitelib}/virtconv
%{python_sitelib}/*.egg-info
%{_bindir}/virt-convert
%{_bindir}/virt-clone
%{_bindir}/virt-image
%{_bindir}/virt-install
%{_mandir}/man1/virt-convert.1*
%{_mandir}/man1/virt-clone.1*
%{_mandir}/man1/virt-image.1*
%{_mandir}/man1/virt-install.1*
%{_mandir}/man5/virt-image.5*


%changelog

* Fri Mar 02 2012 misc <misc> 0.600.1-1.mga2
+ Revision: 216632
- new version 0.600.1 ( with Mageia support )

* Fri Sep 02 2011 misc <misc> 0.600.0-2.mga2
+ Revision: 138018
- remove uneeded BuildRequires
- remove the old compatibility link, for the first name of the module
- install virt-install in /usr/bin ( as it can be used remotely,
  and because that's where upstram place it )
- remove compatibility with older name of the tool ( pre 2007 )
- remove ExcludeArch for arch we do not support
- remove uneeded versionned requires
- clean old stuff
- improve description ( as it also support debian, and more
  than xen )
- remove buggy patch ( incorrect tabulation ), see https://bugzilla.redhat.com/show_bug.cgi?id=733121
  for a proper patch

  + cjw <cjw>
    - 0.600.0
    - rediff and update mageia patch, adding mageia 2

* Thu May 05 2011 cjw <cjw> 0.500.6-4.mga1
+ Revision: 95063
- fix mageia distro + version detection for network installs

* Sat Apr 30 2011 dmorgan <dmorgan> 0.500.6-3.mga1
+ Revision: 93510
- Update mageia patch thanks to Mattthieu Duchemin ( mgabz #1028)

* Sun Apr 24 2011 dmorgan <dmorgan> 0.500.6-2.mga1
+ Revision: 90044
- Try to add mageia support

* Tue Apr 19 2011 dmorgan <dmorgan> 0.500.6-1.mga1
+ Revision: 88341
- New version 0.500.6

* Thu Mar 10 2011 ahmad <ahmad> 0.500.5-2.mga1
+ Revision: 67371
- imported package python-virtinst

